ScatterPlotDataSet (jCharts-0.7.5 API)
Keywords: org.jCharts.chartData.ScatterPlotDataSet,ScatterPlotDataSet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartData
Class ScatterPlotDataSet

    java.lang.Object
      |
      +--org.jCharts.chartData.ScatterPlotDataSet

All Implemented Interfaces:
  HTMLTestable, IAxisPlotDataSet, IData, IDataSet, IScatterPlotDataSet, java.io.Serializable

public class ScatterPlotDataSet
extends java.lang.Object
implements IScatterPlotDataSet, HTMLTestable

See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` | `data`
`private java.util.ArrayList` | `legendLabels`
`private int` | `numDataItems`
`private java.util.ArrayList` | `paints`
`private static java.awt.geom.Point2D.Double` | `POINT`
`private ScatterPlotProperties` | `scatterPlotProperties`

Constructor Summary
`ScatterPlotDataSet(ScatterPlotProperties scatterPlotProperties)` Constructor

Method Summary
`void` | `addDataPoints(java.awt.geom.Point2D.Double[] points, java.awt.Paint paint, java.lang.String legendLabel)`
`static java.awt.geom.Point2D.Double` | `createPoint2DDouble()` Take advantage of the face Cloning performs better than creating new for highly used Objects.
`ChartType` | `getChartType()` Returns the type constant that this data set should be plotted as.
`ChartTypeProperties` | `getChartTypeProperties()` Returns ChartTypeProperties Object for the data set which will be typed into the specific chart type class.
`java.lang.String` | `getLegendLabel(int index)` Returns the legend label for the passed index.
`int` | `getNumberOfDataItems()` Returns the number of elements in the data set.
`int` | `getNumberOfDataSets()` Returns the number of elements in the data set.
`int` | `getNumberOfLegendLabels()` Returns the number of Legend Labels to display.
`java.awt.Paint` | `getPaint(int index)` Returns the legend label for the passed index.
`java.awt.geom.Point2D.Double` | `getValue(int dataset, int index)` Returns the value in the data set at the specified position.
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` | `validate()` Performs a limited validation of data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POINT

    private static java.awt.geom.Point2D.Double POINT

### data

    private java.util.ArrayList data

### legendLabels

    private java.util.ArrayList legendLabels

### paints

    private java.util.ArrayList paints

### scatterPlotProperties

    private ScatterPlotProperties scatterPlotProperties

### numDataItems

    private int numDataItems

Constructor Detail

### ScatterPlotDataSet

    public ScatterPlotDataSet(ScatterPlotProperties scatterPlotProperties)

  Constructor

Parameters:
  `scatterPlotProperties` -

Method Detail

### getChartType

    public final ChartType getChartType()

  Returns the type constant that this data set should be plotted as.

  Specified by:
    `getChartType` in interface `IAxisPlotDataSet`
  Returns:
    ChartType
  See Also:
    `ChartType`

### addDataPoints

    public void addDataPoints(java.awt.geom.Point2D.Double[] points,
                              java.awt.Paint paint,
                              java.lang.String legendLabel)

  Parameters:
    `points` -
    `paint` -
    `legendLabel` -

### validate

    public void validate()
                  throws ChartDataException

  Performs a limited validation of data.

  Specified by:
    `validate` in interface `IAxisPlotDataSet`
  Throws:
    `ChartDataException`

### getValue

    public java.awt.geom.Point2D.Double getValue(int dataset,
                                                 int index)

  Returns the value in the data set at the specified position.

  Specified by:
    `getValue` in interface `IScatterPlotDataSet`
  Parameters:
    `dataset` -
    `index` -
  Returns:
    Point.Double

### getLegendLabel

    public final java.lang.String getLegendLabel(int index)

  Returns the legend label for the passed index. This index corresponds to the DataSet for which label you want.

  Specified by:
    `getLegendLabel` in interface `IDataSet`
  Parameters:
    `index` -
  Returns:
    String

### getNumberOfLegendLabels

    public int getNumberOfLegendLabels()

  Returns the number of Legend Labels to display. This may not be the same as the number of Data Items, as in AxisCharts, or Data Sets, as in Pie Charts.

  Specified by:
    `getNumberOfLegendLabels` in interface `IDataSet`
  Returns:
    int

### getPaint

    public java.awt.Paint getPaint(int index)

  Returns the legend label for the passed index. This index corresponds to the DataSet for which label you want.

  Specified by:
    `getPaint` in interface `IDataSet`
  Parameters:
    `index` -
  Returns:
    Paint

### getChartTypeProperties

    public ChartTypeProperties getChartTypeProperties()

  Description copied from interface: `IDataSet`
  Returns ChartTypeProperties Object for the data set which will be typed into the specific chart type class.

  Specified by:
    `getChartTypeProperties` in interface `IDataSet`
  Returns:
    ChartTypeProperties

### getNumberOfDataSets

    public int getNumberOfDataSets()

  Returns the number of elements in the data set.

  Specified by:
    `getNumberOfDataSets` in interface `IAxisPlotDataSet`
  Returns:
    int

### getNumberOfDataItems

    public int getNumberOfDataItems()

  Returns the number of elements in the data set.

  Specified by:
    `getNumberOfDataItems` in interface `IDataSet`
  Returns:
    int

### createPoint2DDouble

    public static final java.awt.geom.Point2D.Double createPoint2DDouble()

  Take advantage of the face Cloning performs better than creating new for highly used Objects.

  Returns:
    Point2D.Double

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Parameters:
    `htmlGenerator` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD